org.apache.activemq.artemis.spi.core.protocol

## Interface SessionCallback

-     public interface SessionCallback

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReadyListener(ReadyListener listener)`
    `void` | `closed()`
    `void` | `disconnect(org.apache.activemq.artemis.core.server.ServerConsumer consumerId, String queueName)`
    `boolean` | `hasCredits(org.apache.activemq.artemis.core.server.ServerConsumer consumerID)` This one gives a chance for Proton to have its own flow control.
    `void` | `removeReadyListener(ReadyListener listener)`
    `int` | `sendLargeMessage(org.apache.activemq.artemis.core.server.ServerMessage message, org.apache.activemq.artemis.core.server.ServerConsumer consumerID, long bodySize, int deliveryCount)`
    `int` | `sendLargeMessageContinuation(org.apache.activemq.artemis.core.server.ServerConsumer consumerID, byte[] body, boolean continues, boolean requiresResponse)`
    `int` | `sendMessage(org.apache.activemq.artemis.core.server.ServerMessage message, org.apache.activemq.artemis.core.server.ServerConsumer consumerID, int deliveryCount)`
    `void` | `sendProducerCreditsFailMessage(int credits, SimpleString address)`
    `void` | `sendProducerCreditsMessage(int credits, SimpleString address)`

- - ### Method Detail

    - #### hasCredits

          boolean hasCredits(org.apache.activemq.artemis.core.server.ServerConsumer consumerID)

      This one gives a chance for Proton to have its own flow control.

    - #### sendProducerCreditsMessage

          void sendProducerCreditsMessage(int credits,
                                          SimpleString address)

    - #### sendProducerCreditsFailMessage

          void sendProducerCreditsFailMessage(int credits,
                                              SimpleString address)

    - #### sendMessage

          int sendMessage(org.apache.activemq.artemis.core.server.ServerMessage message,
                          org.apache.activemq.artemis.core.server.ServerConsumer consumerID,
                          int deliveryCount)

    - #### sendLargeMessage

          int sendLargeMessage(org.apache.activemq.artemis.core.server.ServerMessage message,
                               org.apache.activemq.artemis.core.server.ServerConsumer consumerID,
                               long bodySize,
                               int deliveryCount)

    - #### sendLargeMessageContinuation

          int sendLargeMessageContinuation(org.apache.activemq.artemis.core.server.ServerConsumer consumerID,
                                           byte[] body,
                                           boolean continues,
                                           boolean requiresResponse)

    - #### closed

          void closed()

    - #### addReadyListener

          void addReadyListener(ReadyListener listener)

    - #### removeReadyListener

          void removeReadyListener(ReadyListener listener)

    - #### disconnect

          void disconnect(org.apache.activemq.artemis.core.server.ServerConsumer consumerId,
                          String queueName)

Copyright © 2015. All rights reserved.